Unity 5.8: Can't login to Unity since upgrade to 5.8

Bug #963465 reported by Evan Huus on 2012-03-23
44
This bug affects 10 people
Affects Status Importance Assigned to Milestone
Compiz Core
Critical
Daniel van Vugt
compiz (Ubuntu)
Undecided
Unassigned

Bug Description

Ever since upgrade to 5.8.0 this afternoon, logging in to Unity 3D boots me back to login screen. 2D works fine.

ProblemType: Bug
DistroRelease: Ubuntu 12.04
Package: unity 5.8.0-0ubuntu1
ProcVersionSignature: Ubuntu 3.2.0-20.32-generic 3.2.12
Uname: Linux 3.2.0-20-generic x86_64
NonfreeKernelModules: fglrx
.tmp.unity.support.test.0:

ApportVersion: 1.95-0ubuntu1
Architecture: amd64
CheckboxSubmission: e049aa43e015d38fc2b288a8a60db142
CheckboxSystem: 2a6f54df59af338184485e85cbcf0d32
CompizPlugins: [core,bailer,detection,composite,opengl,decor,imgpng,regex,snap,place,compiztoolbox,move,mousepoll,resize,gnomecompat,grid,vpswitch,animation,session,wall,expo,ezoom,fade,workarounds,scale,unityshell]
CompositorRunning: None
Date: Fri Mar 23 17:06:36 2012
DistUpgraded: 2011-11-25 22:41:24,200 DEBUG enabling apt cron job
DistroCodename: precise
DistroVariant: ubuntu
InstallationMedia: Ubuntu 11.10 "Oneiric Ocelot" - Beta amd64 (20110921.2)
MachineType: Dell Inc. Inspiron 530
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.2.0-20-generic root=UUID=60269649-642d-4672-83bb-7bfadaae6e31 ro quiet splash vt.handoff=7
SourcePackage: unity
UpgradeStatus: Upgraded to precise on 2011-11-26 (118 days ago)
dmi.bios.date: 06/20/2008
dmi.bios.vendor: Dell Inc.
dmi.bios.version: 1.0.15
dmi.board.name: 0FM586
dmi.board.vendor: Dell Inc.
dmi.board.version: ���
dmi.chassis.type: 3
dmi.chassis.vendor: Dell Inc.
dmi.chassis.version: OEM
dmi.modalias: dmi:bvnDellInc.:bvr1.0.15:bd06/20/2008:svnDellInc.:pnInspiron530:pvr:rvnDellInc.:rn0FM586:rvr:cvnDellInc.:ct3:cvrOEM:
dmi.product.name: Inspiron 530
dmi.sys.vendor: Dell Inc.
version.compiz: compiz 1:0.9.7.2-0ubuntu1
version.fglrx-installer: fglrx-installer N/A
version.ia32-libs: ia32-libs 20090808ubuntu35
version.libdrm2: libdrm2 2.4.32-1ubuntu1
version.libgl1-mesa-dri: libgl1-mesa-dri 8.0.2-0ubuntu2
version.libgl1-mesa-dri-experimental: libgl1-mesa-dri-experimental N/A
version.libgl1-mesa-glx: libgl1-mesa-glx 8.0.2-0ubuntu2
version.xserver-xorg-core: xserver-xorg-core 2:1.11.4-0ubuntu7
version.xserver-xorg-input-evdev: xserver-xorg-input-evdev 1:2.7.0-0ubuntu1
version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:6.14.99~git20111219.aacbd629-0ubuntu2
version.xserver-xorg-video-intel: xserver-xorg-video-intel 2:2.17.0-1ubuntu4
version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:0.0.16+git20111201+b5534a1-1build2

Related branches

Evan Huus (eapache) wrote :
Evan Huus (eapache) wrote :

Logged in as Unity-2D, ran unity --debug --verbose and captured stdout and stderr to a file, as attached, Looks like compiz is missing some files?

Daniel van Vugt (vanvugt) wrote :

Compiz isn't missing any files. Those log messages need to be removed because they're misleading. They just indicate the various places compiz goes looking for plugins (if available).

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in unity (Ubuntu):
status: New → Confirmed
summary: - Can't login to Unity since upgrade to 5.8
+ Unity 5.8: Can't login to Unity since upgrade to 5.8
Daniel van Vugt (vanvugt) wrote :

James Pages reports that his system alternates between this bug and bug 963633. They might be the same.

Evan Huus (eapache) wrote :

Possibly? When I manually run unity to collect the logs, my screen goes black except for the cursor exactly as described, and compiz starts to spin (100% CPU) and has to be SIGKILLed. This happens consistently when running manually, but never when logging in from lightdm. GDB doesn't seem to produce a backtrace though, even when I run unity with --debug.

I'm fairly code-savvy, so I can try more detailed debugging if you'll point in the right direction. I'll see what valgrind spits out, for lack of any better ideas at this point.

Evan Huus (eapache) wrote :

A few things to note:

1) I have now experienced the exact same symptoms as bug #963633, although it took a couple of reboots to show. They are probably related, if not just different symptoms of the same bug.

2) Guest session with unity-3d works normally. It may be a configuration problem specific to my profile? WIll create new user to test.

3) Attempts to run unity under valgrind or gdb have been ineffective. They appear to hang themselves when unity does?

4) Apport finally seemed to notice the constant crashes and collected a backtrace for me. It's bug #963843 (still private ATM).

Will report back when I have tested with a fresh user.

Evan Huus (eapache) wrote :

A new user account works fine under unity-3D, so it must be a configuration option that I have set somewhere.

I did a diff between gconf dumps of my compiz settings and guest user compiz settings, and came up with the following differences:

- the problem account has two extra plugins enabled: 'bailer' and 'detection'. I don't see these as normal plugins in ccsm, and don't recall ever explicitly enabling them.

- the problem account has a few custom settings in the 'scaleaddons' plugin, but as it isn't enabled these aren't likely the problem

- the problem account has set the launcher icon size to 32 (as opposed to the default of 48) and has a left-over key of "launcher_reveal_edge=Left" even though autohide is set to false.

I'll revert the changes one at a time until I can log in again, then report back.

Evan Huus (eapache) wrote :

Settings now appear identical, but same symptoms occur.

Evan Huus (eapache) wrote :

Got it!

By running what amounted to a complete bisection of the home folder of the problem account, I've isolated the problem as occuring in the Unity MT Grab Handles plugin. Disabling that plugin allows me to log in to unity 3d.

I can corfirm this also on unity-2d (and corcent all system in generally).
After upgrade of today I can't access to unity-2d with my user. Same for acces on tty.
I have try to reset my user password with:

mount -n -o remount, rw /
password user
reboot

At reboot:
1) insert password in lightdm
2) then, blank screen and return to lightdm

Then I have login to tty. I see that my home (encrypted) is not mounted. I can mount it cause it say that my password is incorrect. And also sudo doesn't work. Infact, is necessary to retray the previus step (reboot, mount, passwd, reboot).

At this moment I don't have idea. Now I'll try to create a new account.

I'm sorry. I have retray again with :
mount -n -o remount, rw /
password user
reboot

Now unity-2d work.

Changed in unity (Ubuntu):
assignee: nobody → Daniel van Vugt (vanvugt)
status: Confirmed → In Progress
Changed in unity:
status: New → In Progress
importance: Undecided → Critical
assignee: nobody → Daniel van Vugt (vanvugt)
Changed in unity (Ubuntu):
status: In Progress → Confirmed
assignee: Daniel van Vugt (vanvugt) → nobody
affects: unity → compiz-core
affects: unity (Ubuntu) → compiz (Ubuntu)
Tim Penhey (thumper) on 2012-03-28
Changed in compiz-core:
status: In Progress → Fix Committed
milestone: none → 0.9.7.4
Brian J. Rohan (brianjrohan) wrote :

Today when I started my machine, instead of just staring at my desktop wallpaper and nothing else, I could see my desktop icons, received the keyring authentication prompt, followed by an error message that the task panel was not active, and my launcher would not work. Progress. I can still however boot into recovery mode to access 2D

Daniel van Vugt (vanvugt) wrote :

Fix released in Compiz Core 0.9.7.4

Changed in compiz-core:
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package compiz - 1:0.9.7.4-0ubuntu1

---------------
compiz (1:0.9.7.4-0ubuntu1) precise; urgency=low

  * New upstream release
    - compiz crashed with SIGSEGV in CompositeScreen::compositingActive()
    - Window management - Closing one window sends others to the
      background (LP: #888704)
    - [regression] Invisible resize border is now only 1px wide (LP: #953839)
    - Coverity REVERSE_INULL - CID 10888 (LP: #957572)
    - Unity dash opens and immediately closes if you tap Super+A
      quickly (LP: #960831)
    - Unity 5.8: Flickering and corruption on Unity UI elements (LP: #963093)
    - Unity 5.8: Can't login to Unity since upgrade to 5.8 (LP: #963465)
    - [regression] Unity 5.8+Compiz 0.9.7.2: Pressing Super+Tab or
      Super+W works, but unity does not respond to when Super is
      released. (LP: #963470)
    - Unity 5.8: Login to blank screen (all black or just wallpaper)
      (LP: #963633)
    - Tests do not build when libgtest-dev is installed but libgtest
      isn't (LP: #964248)
    - Note that this fix is REMOVED for stability reasons:
       Unity/compiz intercepts Super and Alt keypresses from grabbed
       windows like VMs. (806255)
  * debian/patches/ubuntu-config.patch:
    - tweak slightly the shadow border for both active/inactive windows.
    - change the shortcuts as per design request: (LP: #969235)
      Ctrl + Super + D Minimises all windows
      Ctrl + Super + Cursor up Maximises the current window
      Ctrl + Super + Cursor down Restores or minimises current window
  * debian/rules, debian/compiz-gnome.gconf-defaults:
    - move the default for the unity-less default profile from DEFAULT_PLUGINS
      list as it seems compiz tries to load that list, then ccp, then the
      profile list.
    - put the active_plugins list back to the Default profile in gconf then.
  * debian/control:
    - set Standards-Version to latest
  * remove debian/patches/always_replace.patch,
    debian/patches/exit_1_if_composite_cant_init.patch,
    debian/patches/reset_active_plugin_list.patch,
    debian/reset-compiz-gconf, debian/compiz-gnome.install:
    - the 3 bad hacks are now not necessary anymore (LP: #963264)
  * remove as now in upstream tarball:
    - debian/patches/fix_953839.patch
    - debian/patches/revert_lim.patch
    - debian/patches/fix_953089_2.patch
    - debian/patches/fix_960831.patch
 -- Didier Roche <email address hidden> Tue, 03 Apr 2012 15:43:16 +0200

Changed in compiz (Ubuntu):
status: Confirmed → Fix Released
To post a comment you must log in.